#/usr/bin/env python
# -*- coding: utf-8 -*-
# -*- Python -*-
# Version : 1.0.0
# Vendor : RTC-Center
# date : 09/08/31 (ver1.0.0)
# abstract : script for demonstration
#

import sys
import os
import time

from math import *

from set_env import *
save_path = sys.path[:]
sys.path.append(Rh2LibDir)
#sys.path.append(RtmToolsDir+"/rtc_handle")
from rtc_handle import *

env = RtmEnv(sys.argv,[Rh2VoiceNS,Rh2BaseNS1,Rh2BaseNS2])
for ns in env.name_space :
  env.name_space[ns].list_obj()

sys.path.append(Rh2VoiceToolsDir)
import Rh2Voice_ctrl
from message import *
sys.path.append(Rh2BaseToolsDir)
import Rh2Base_ctrl
sys.path = save_path

Rh2Voice_ctrl.assign_variables(env)
Rh2Base_ctrl.assign_variables(env)

#
# import stub files
#
sys.path.append(Rh2IdlDir)
import _GlobalIDL

Rh2Base_ctrl.activate_local()
# 運動機能を再開します。
#Rh2Voice_ctrl.talk(mstr043)
